OpenStack Compute (Nova)

Access IP4/6 values ignored in rebuild request

Reported by Daryl Walleck on 2011-11-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Low
Brian Waldon

Bug Description

If I pass in an IP4/6 Access IP address when rebuilding a server, the new values I pass in are ignored and remain as they previously were before the rebuild. For example, if I build a server with no access IP addresses and then make the following POST:

{"rebuild": {"name": "test21567371900", "imageRef": "4", "adminPass": "rebuild", "accessIPv4": "172.16.1.1", "accessIPv6": "::babe:220.14.55.7", "metadata": {"rebuild": "server"}, "personality": [{"path": "/etc/rebuild.txt", "contents": "VGVzdCBzZXJ2ZXIgcmVidWlsZC4="}]}}

I would expect to see the updated values in the response. Instead, they remain blank as in this example:

{"server": {"status": "ACTIVE", "updated": "2011-11-21T18:28:02Z", "hostId": "3d2e82cef4bf8900cffe98d276c3c40c031440ebea22dd87f758b997", "user_id": "dwalleck", "name": "test21567371900", "links": [{"href": "http:///nova.test.com:8774/v1.1/dwalleck-project/servers/7098", "rel": "self"}, {"href": "http:///nova.test.com:8774/dwalleck-project/servers/7098", "rel": "bookmark"}], "created": "2011-11-21T18:23:43Z", "tenant_id": "dwalleck-project", "image": {"id": "4", "links": [{"href": "http:///nova.test..com:8774/dwalleck-project/images/4", "rel": "bookmark"}]}, "adminPass": "rebuild", "uuid": "8f8785b1-4210-4ece-abed-ac7fd222ac69", "accessIPv4": "", "metadata": {"rebuild": "server"}, "accessIPv6": "", "key_name": null, "progress": 0, "flavor": {"id": "1", "links": [{"href": "http://nova.test.com:8774/dwalleck-project/flavors/1", "rel": "bookmark"}]}, "config_drive": "", "id": 7098, "addresses": {"public": [{"version": 6, "addr": "2001:4801:7808:52:16:3eff:fe74:d5db"}, {"version": 4, "addr": "50.57.94.93"}], "private": [{"version": 4, "addr": "10.182.65.108"}]}}}

Brian Waldon (bcwaldon) on 2011-12-20
Changed in nova:
assignee: nobody → Titan (rackspace-titan)
Brian Waldon (bcwaldon) on 2011-12-20
Changed in nova:
status: New → Confirmed
importance: Undecided → Low
Brian Waldon (bcwaldon) on 2011-12-21
Changed in nova:
assignee: Titan (rackspace-titan) → Brian Waldon (bcwaldon)
status: Confirmed → In Progress
Brian Waldon (bcwaldon) wrote :

This also appears to be overlooked in the spec. I can't seem to attach this bug to the openstack-manuals project, though.

Reviewed: https://review.openstack.org/2510
Committed: http://github.com/openstack/nova/commit/adcfd491308a98107e82b9f0595e0bf2f37b5a54
Submitter: Jenkins
Branch: master

commit adcfd491308a98107e82b9f0595e0bf2f37b5a54
Author: Brian Waldon <email address hidden>
Date: Wed Dec 21 11:30:19 2011 -0500

    Allow accessIPv4 and accessIPv6 on rebuild action

    Fixes bug 893243

    Change-Id: If320ead6f25613725faf6c01c4a87b496ef88961

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-01-25
Changed in nova:
milestone: none → essex-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-3 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers